diff --git a/pkgs/darwin/qtcreator/bin.nix b/pkgs/darwin/qtcreator/bin.nix
index a28724f74a3929fbf0fbd9760ae6a90ccabc5c08..a875a860593f2e707fc9289c856698fd6e366d84 100644
--- a/pkgs/darwin/qtcreator/bin.nix
+++ b/pkgs/darwin/qtcreator/bin.nix
@@ -8,7 +8,7 @@   src = fetchfromgh {
     owner = "qt-creator";
     repo = "qt-creator";
     name = "qtcreator-macos-universal-${finalAttrs.version}.7z";
-    hash = "sha256-qW187/8xJiPSxYY7b7XdLRyV6wkAIFP0QFoNAaLej04=";
+    hash = "sha256-ZuBJs4dX48RHEsHSGeyHITVWlCo7wRcT6VG7d9wzSa8=";
     version = "v${finalAttrs.version}";
   };
 
diff --git a/pkgs/data/dicts/huzheng/base.nix b/pkgs/data/dicts/huzheng/base.nix
index 6c62cbba71bba5d4119c183bb99e769bf83b7efe..773d725a9cb2cc7eb2a04621926378704304dacb 100644
--- a/pkgs/data/dicts/huzheng/base.nix
+++ b/pkgs/data/dicts/huzheng/base.nix
@@ -1,10 +1,11 @@
-{ lib, srcOnly, fetchurl, pname, version, filename, hash, description }:
+{ lib, srcOnly, fetchwebarchive, pname, version, filename, hash, description }:
 
 srcOnly {
   inherit pname version;
 
-  src = fetchurl {
+  src = fetchwebarchive {
     url = "http://download.huzheng.org/${filename}";
+    timestamp = "20230718140437";
     inherit hash;
   };
 
diff --git a/pkgs/data/maps/gpxsee-maps/default.nix b/pkgs/data/maps/gpxsee-maps/default.nix
index 28b2649da1f4b9fde8b7a8a60aed84b4152bf485..0b1cd3bfda6752e707d7a21e2d74706bdce2e966 100644
--- a/pkgs/data/maps/gpxsee-maps/default.nix
+++ b/pkgs/data/maps/gpxsee-maps/default.nix
@@ -26,13 +26,13 @@ }:
 
 stdenvNoCC.mkDerivation {
   pname = "gpxsee-maps";
-  version = "2022-06-08";
+  version = "2023-07-20";
 
   src = fetchFromGitHub {
     owner = "tumic0";
     repo = "GPXSee-maps";
-    rev = "87ae3ae6e2ee74066cee7ba8f78968b77191fc51";
-    hash = "sha256-JT9/sNFP8jGBBxRZZgjlJ4OFvP9HxjFp7ehj2HVVrGs=";
+    rev = "1097cd829f8fdd1f17304c4342f2d1258d2ac9e3";
+    hash = "sha256-kucb7FJkM45GIIfBmcEBoR2fT4GCx9Ht0urxZfjlGiw=";
   };
 
   postPatch =
diff --git a/pkgs/data/maps/opentopomap/default.nix b/pkgs/data/maps/opentopomap/default.nix
index 728567b2a35bc7d20e9e4381be8b8a1b1ae197e7..ac7496fe4d064f6b2ee53fbc766149cc94dca862 100644
--- a/pkgs/data/maps/opentopomap/default.nix
+++ b/pkgs/data/maps/opentopomap/default.nix
@@ -1,12 +1,12 @@
 { lib, stdenv, fetchFromGitHub, fetchurl, unzip, mkgmap, mkgmap-splitter, osm-extracts }:
 let
   bounds = fetchurl {
-    url = "http://osm.thkukuk.de/data/bounds-20220909.zip";
-    hash = "sha256-79zepbGXulWr2QGlFVcIMkzASlTg5DqOEPvx0jcWLYw=";
+    url = "https://www.thkukuk.de/osm/data/bounds-20231020.zip";
+    hash = "sha256-fQyaYnmP5Qu1iV4R65LMfk8QlTQkKOoIOzxhPWAMD44=";
   };
   sea = fetchurl {
-    url = "http://osm.thkukuk.de/data/sea-20220914001527.zip";
-    hash = "sha256-ntafRbfMMnHy2IlhqKE/DaMinsu9NaXA41HhXb6YVf4=";
+    url = "https://osm.thkukuk.de/osm/data/sea-20231021001503.zip";
+    hash = "sha256-3xVcwNbA5bxNM82cLz48UhlcgFE7V2LC/VB0dFAvfu0=";
   };
 in
 stdenv.mkDerivation (finalAttrs: {
diff --git a/pkgs/data/maps/qmapshack-onlinemaps/default.nix b/pkgs/data/maps/qmapshack-onlinemaps/default.nix
index d2381fc3565873d368e05ae001821cfe1c3a675e..fbc8d0cab1166a27594ca51a15a29b7877e44f1d 100644
--- a/pkgs/data/maps/qmapshack-onlinemaps/default.nix
+++ b/pkgs/data/maps/qmapshack-onlinemaps/default.nix
@@ -1,10 +1,10 @@
 { lib, fetchwebarchive, unzip }:
 
 fetchwebarchive {
-  name = "qmapshack-onlinemaps-2021-05-21";
+  name = "qmapshack-onlinemaps-2022-09-02";
   url = "http://www.mtb-touring.net/wp-content/uploads/Onlinemaps.zip";
-  timestamp = "20210731232714";
-  hash = "sha256-E0YCofyxECtXqzBG++85L2vCQy059MMH129PpL/e/wk=";
+  timestamp = "20231026090331";
+  hash = "sha256-5xXyaWhUwOZPGb+unYh4A0Hzznk2nRPHtIxdiiQHlHY=";
   downloadToTemp = true;
   recursiveHash = true;
   postFetch = ''
diff --git a/pkgs/data/misc/poi/default.nix b/pkgs/data/misc/poi/default.nix
index 992e6ccba9fe9c6911325b076496e9fdedaa3e9e..0e047da48e9473025952a9dd912b5faf454c8773 100644
--- a/pkgs/data/misc/poi/default.nix
+++ b/pkgs/data/misc/poi/default.nix
@@ -2,10 +2,10 @@ { lib, fetchurl, fetchymaps, fetchwebarchive, jq, gdal }:
 
 {
   geocachingSu = fetchwebarchive {
-    name = "geocaching_su-2022-01-31";
+    name = "geocaching_su-2023-10-26";
     url = "https://nakarte.me/geocachingSu/geocaching_su2.json";
-    timestamp = "20220131071819";
-    hash = "sha256-aN9uX74SISK8UTUYhEhmYKEa9LRtt36t7DQepWFwMIA=";
+    timestamp = "20231026111612";
+    hash = "sha256-gZv5Ygd5XRrt45k3LLbts9B64tEhOWETm8iHld/NlxA=";
     downloadToTemp = true;
     recursiveHash = true;
     postFetch = ''
@@ -60,10 +60,10 @@     };
   };
 
   westra = fetchwebarchive {
-    name = "westra-2020-12-30";
+    name = "westra-2023-10-26";
     url = "https://nakarte.me/westraPasses/westra_passes.json";
-    timestamp = "20201230113603";
-    hash = "sha256-yW3gAc2izsLkjWrz8TgU1F/kYNYJrixEZyIKyv0vGuU=";
+    timestamp = "20231026111946";
+    hash = "sha256-3GMpVeXHjMenLnUwl/VIyAxoznJ3wcY1DAxGe2aD6w0=";
     downloadToTemp = true;
     recursiveHash = true;
     postFetch = ''
diff --git a/pkgs/data/osm/osm-extracts/default.nix b/pkgs/data/osm/osm-extracts/default.nix
index 12add86112132993912bef2ba0f5f41139d4f929..a78e294bc2c39fa7eeb135fe89a8de13f2ba8333 100644
--- a/pkgs/data/osm/osm-extracts/default.nix
+++ b/pkgs/data/osm/osm-extracts/default.nix
@@ -2,11 +2,11 @@ { lib, stdenv, fetchurl, osmium-tool }:
 
 stdenv.mkDerivation rec {
   pname = "osm-extracts";
-  version = "230520";
+  version = "231025";
 
   src = fetchurl {
     url = "https://download.geofabrik.de/russia/northwestern-fed-district-${version}.osm.pbf";
-    hash = "sha256-n1VyJNcdURWRpCHuYyeabU/FNkNJ9oe/7/TKEP8iqtA=";
+    hash = "sha256-EwBAHo9ZdRB/bt28WjWz8QTxMZtDEbsgdHrDEyguJuQ=";
   };
 
   dontUnpack = true;
diff --git a/pkgs/gemini/astronaut/default.nix b/pkgs/gemini/astronaut/default.nix
index dcc71977deb4688512c329b8a8c162ff00539019..ced839a4059993e18ebe94b8140e7548de686a45 100644
--- a/pkgs/gemini/astronaut/default.nix
+++ b/pkgs/gemini/astronaut/default.nix
@@ -32,6 +32,5 @@     inherit (src.meta) homepage;
     license = licenses.gpl3Only;
     maintainers = [ maintainers.sikmir ];
     platforms = platforms.unix;
-    broken = stdenv.isDarwin;
   };
 }
diff --git a/pkgs/misc/bwh/default.nix b/pkgs/misc/bwh/default.nix
index 5092dac9208f53d18ce1e0e7f198eaf2c9518093..cd8c927ac8c24cf64f6720a2aeaea5ec8e3f9bf5 100644
--- a/pkgs/misc/bwh/default.nix
+++ b/pkgs/misc/bwh/default.nix
@@ -17,9 +17,11 @@
   buildInputs = [ SDL2 the-foundation ] ++ lib.optional stdenv.isDarwin AppKit;
 
   installPhase = lib.optionalString stdenv.isDarwin ''
-    mkdir -p $out/{Applications,bin}
+    runHook preInstall
+    mkdir -p $out/Applications
     mv *.app $out/Applications
     makeWrapper $out/{Applications/Bitwise\ Harmony.app/Contents/MacOS/Bitwise\ Harmony,bin/bitwise-harmony}
+    runHook postInstall
   '';
 
   meta = with lib; {
diff --git a/pkgs/misc/telegabber/default.nix b/pkgs/misc/telegabber/default.nix
index a25952f7c1329ebb16988395ffc0be30d3a639c5..6f19834a99043ee9765067d775d43dead030fe59 100644
--- a/pkgs/misc/telegabber/default.nix
+++ b/pkgs/misc/telegabber/default.nix
@@ -2,17 +2,17 @@ { lib, buildGoModule, fetchFromGitea, openssl, tdlib, zlib, testers, telegabber }:
 
 buildGoModule rec {
   pname = "telegabber";
-  version = "1.3.0";
+  version = "1.8.2";
 
   src = fetchFromGitea {
     domain = "dev.narayana.im";
     owner = "narayana";
     repo = "telegabber";
     rev = "v${version}";
-    hash = "sha256-zctfACwvjgSI5EgXEZIRKCM4Jsjj9RtwJMbAq4vWV1M=";
+    hash = "sha256-dU+pqHKu9I/zSWqaM6gcZp9+ncyZAICi5y392tQoh9c=";
   };
 
-  vendorHash = "sha256-bh/+zEfZuk7l0t2didxlCnTObY3ThqsUXI8cD1oVeNk=";
+  vendorHash = "sha256-AW4LycYBL5sSbZbn2sVsxq2k7dGBmwjXKnWgy3+dptI=";
 
   buildInputs = [ openssl tdlib zlib ];
 
@@ -30,6 +30,5 @@     inherit (src.meta) homepage;
     license = licenses.asl20;
     maintainers = [ maintainers.sikmir ];
     platforms = platforms.unix;
-    broken = true;
   };
 }