diff --git a/flake.lock b/flake.lock
index 5cf15b842ab60f732770f878020494190912c282..4bafc75cabef150e20bd1c63bc0cbbf77d3283ca 100644
--- a/flake.lock
+++ b/flake.lock
@@ -20,11 +20,11 @@       }
     },
     "nixpkgs": {
       "locked": {
-        "lastModified": 1715969306,
-        "narHash": "sha256-9n7SSGF++IJSUQQNuYnj6NNiDjjWvkzABKiTeY24COQ=",
+        "lastModified": 1716451822,
+        "narHash": "sha256-0lT5RVelqN+dgXWWneXvV5ufSksW0r0TDQi8O6U2+o8=",
         "owner": "nixos",
         "repo": "nixpkgs",
-        "rev": "0837fbf227364d79cbae8fff2378125526905cbe",
+        "rev": "3305b2b25e4ae4baee872346eae133cf6f611783",
         "type": "github"
       },
       "original": {
diff --git a/pkgs/default.nix b/pkgs/default.nix
index 412b8a1f4c1a1787b2f5ed120789726e10c78fee..5abb8cfecf43913fd59479e970c61f767083c3d5 100644
--- a/pkgs/default.nix
+++ b/pkgs/default.nix
@@ -190,7 +190,6 @@     bbox = callPackage ./geospatial/bbox { };
     c2cwsgiutils = callPackage ./geospatial/c2cwsgiutils { };
     cogdumper = callPackage ./geospatial/cogdumper { };
     cogeo-mosaic = callPackage ./geospatial/cogeo-mosaic { };
-    color-operations = callPackage ./geospatial/color-operations { };
     datamaps = callPackage ./geospatial/datamaps { };
     deegree = callPackage ./geospatial/deegree { };
     elevation = callPackage ./geospatial/elevation { click = click-6-7; };
@@ -210,7 +209,6 @@     mbtiles2osmand = callPackage ./geospatial/mbtiles2osmand { };
     mbutiles = callPackage ./geospatial/mbutiles { };
     mobroute = callPackage ./geospatial/mobroute { };
     mobsql = callPackage ./geospatial/mobsql { };
-    morecantile = callPackage ./geospatial/morecantile { };
     orbisgis = callPackage ./geospatial/orbisgis { jre = pkgs.jre8; };
     ossim = callPackage ./geospatial/ossim { };
     pipfile = callPackage ./geospatial/pipfile { };
@@ -218,7 +216,6 @@     pmtiles = callPackage ./geospatial/pmtiles { };
     polyvectorization = libsForQt5.callPackage ./geospatial/polyvectorization { };
     py-staticmaps = callPackage ./geospatial/py-staticmaps { };
     pysheds = callPackage ./geospatial/pysheds { };
-    pystac = callPackage ./geospatial/pystac { };
     qlandkartegt = libsForQt5.callPackage ./geospatial/qlandkartegt {
       gdal = pkgs.gdal.override {
         libgeotiff = pkgs.libgeotiff.override { proj = pkgs.proj_7; };
@@ -234,8 +231,6 @@     rio-color = callPackage ./geospatial/rio-color { };
     rio-mbtiles = callPackage ./geospatial/rio-mbtiles { };
     rio-mucho = callPackage ./geospatial/rio-mucho { };
     rio-stac = callPackage ./geospatial/rio-stac { };
-    rio-tiler = callPackage ./geospatial/rio-tiler { };
-    rioxarray = callPackage ./geospatial/rioxarray { };
     rsgislib = callPackage ./geospatial/rsgislib { };
     sasplanet = callPackage ./geospatial/sasplanet { };
     server-thread = callPackage ./geospatial/server-thread { };
diff --git a/pkgs/geospatial/cogeo-mosaic/default.nix b/pkgs/geospatial/cogeo-mosaic/default.nix
index 11fa7d4a2602ee816367bb77e055d0b46718baa0..f4a1ca66476673606451dcde66c606564534b53e 100644
--- a/pkgs/geospatial/cogeo-mosaic/default.nix
+++ b/pkgs/geospatial/cogeo-mosaic/default.nix
@@ -3,9 +3,7 @@   lib,
   stdenv,
   fetchFromGitHub,
   python3Packages,
-  morecantile,
   supermorecado,
-  rio-tiler,
 }:
 
 python3Packages.buildPythonPackage rec {
diff --git a/pkgs/geospatial/color-operations/default.nix b/pkgs/geospatial/color-operations/default.nix
deleted file mode 100644
index 4a20fe08282239841160728a3e5ab52a915fef53..0000000000000000000000000000000000000000
--- a/pkgs/geospatial/color-operations/default.nix
+++ /dev/null
@@ -1,29 +0,0 @@
-{
-  lib,
-  stdenv,
-  fetchFromGitHub,
-  python3Packages,
-}:
-
-python3Packages.buildPythonPackage rec {
-  pname = "color-operations";
-  version = "0.1.0";
-
-  src = fetchFromGitHub {
-    owner = "vincentsarago";
-    repo = "color-operations";
-    rev = version;
-    hash = "sha256-xGugXOpCqI8+06faCf3AjjpJaOkblkGoyaDG3AyrZoI=";
-  };
-
-  nativeBuildInputs = with python3Packages; [ numpy ];
-
-  pythonImportsCheck = [ "color_operations" ];
-
-  meta = with lib; {
-    description = "Apply basic color-oriented image operations. Fork of rio-color";
-    inherit (src.meta) homepage;
-    license = licenses.mit;
-    maintainers = [ maintainers.sikmir ];
-  };
-}
diff --git a/pkgs/geospatial/morecantile/default.nix b/pkgs/geospatial/morecantile/default.nix
deleted file mode 100644
index c151bbace5c2bbeff8d7be690ab94d1f91623858..0000000000000000000000000000000000000000
--- a/pkgs/geospatial/morecantile/default.nix
+++ /dev/null
@@ -1,45 +0,0 @@
-{
-  lib,
-  stdenv,
-  fetchFromGitHub,
-  python3Packages,
-  testers,
-  morecantile,
-}:
-
-python3Packages.buildPythonPackage rec {
-  pname = "morecantile";
-  version = "5.3.0";
-  pyproject = true;
-  disabled = python3Packages.pythonOlder "3.8";
-
-  src = fetchFromGitHub {
-    owner = "developmentseed";
-    repo = "morecantile";
-    rev = version;
-    hash = "sha256-F7xYQrOngoRsZjmS6ZHRGN0/GD53AYcMQzyY1LZ1O7I=";
-  };
-
-  nativeBuildInputs = with python3Packages; [ flit ];
-
-  propagatedBuildInputs = with python3Packages; [
-    attrs
-    pydantic
-    pyproj
-  ];
-
-  nativeCheckInputs = with python3Packages; [
-    mercantile
-    pytestCheckHook
-    rasterio
-  ];
-
-  passthru.tests.version = testers.testVersion { package = morecantile; };
-
-  meta = with lib; {
-    description = "Construct and use map tile grids in different projection";
-    homepage = "https://developmentseed.org/morecantile/";
-    license = licenses.mit;
-    maintainers = [ maintainers.sikmir ];
-  };
-}
diff --git a/pkgs/geospatial/pystac/default.nix b/pkgs/geospatial/pystac/default.nix
deleted file mode 100644
index 5470acc62cc51e236becb5d909aaa8b1636ccad5..0000000000000000000000000000000000000000
--- a/pkgs/geospatial/pystac/default.nix
+++ /dev/null
@@ -1,42 +0,0 @@
-{
-  lib,
-  stdenv,
-  fetchFromGitHub,
-  python3Packages,
-}:
-
-python3Packages.buildPythonPackage rec {
-  pname = "pystac";
-  version = "1.9.0";
-  pyproject = true;
-
-  src = fetchFromGitHub {
-    owner = "stac-utils";
-    repo = "pystac";
-    rev = "v${version}";
-    hash = "sha256-LbHeEA/F96nVejsNVMR/zrIgIyrBxHiinHcLzk68uA0=";
-  };
-
-  build-system = with python3Packages; [ setuptools ];
-
-  propagatedBuildInputs = with python3Packages; [ python-dateutil ];
-
-  nativeCheckInputs = with python3Packages; [
-    html5lib
-    jsonschema
-    pytestCheckHook
-    pytest-cov
-    pytest-mock
-    pytest-recording
-    requests-mock
-  ];
-
-  pythonImportsCheck = [ "pystac" ];
-
-  meta = with lib; {
-    description = "Python library for working with any SpatioTemporal Asset Catalog (STAC)";
-    inherit (src.meta) homepage;
-    license = licenses.asl20;
-    maintainers = [ maintainers.sikmir ];
-  };
-}
diff --git a/pkgs/geospatial/rio-cogeo/default.nix b/pkgs/geospatial/rio-cogeo/default.nix
index a28fe84244462068da9b57ea32bbae8bfd4905cb..bfa891b6bc8a5f0667fc8fb3ea62a013734e88c0 100644
--- a/pkgs/geospatial/rio-cogeo/default.nix
+++ b/pkgs/geospatial/rio-cogeo/default.nix
@@ -3,7 +3,6 @@   lib,
   stdenv,
   fetchFromGitHub,
   python3Packages,
-  morecantile,
   cogdumper,
 }:
 
diff --git a/pkgs/geospatial/rio-stac/default.nix b/pkgs/geospatial/rio-stac/default.nix
index 548baf1483e5c180936af77f0339adbe4e21f5e9..5ca3150a82adeedbb8b9b0f5def5269e225dcc0b 100644
--- a/pkgs/geospatial/rio-stac/default.nix
+++ b/pkgs/geospatial/rio-stac/default.nix
@@ -3,7 +3,6 @@   lib,
   stdenv,
   fetchFromGitHub,
   python3Packages,
-  pystac,
 }:
 
 python3Packages.buildPythonPackage rec {
diff --git a/pkgs/geospatial/rio-tiler/default.nix b/pkgs/geospatial/rio-tiler/default.nix
deleted file mode 100644
index 47d79d16e86755403ff0875c775ba41890e820cb..0000000000000000000000000000000000000000
--- a/pkgs/geospatial/rio-tiler/default.nix
+++ /dev/null
@@ -1,50 +0,0 @@
-{
-  lib,
-  stdenv,
-  fetchFromGitHub,
-  python3Packages,
-  morecantile,
-  pystac,
-  color-operations,
-  rioxarray,
-}:
-
-python3Packages.buildPythonPackage rec {
-  pname = "rio-tiler";
-  version = "6.6.1";
-  pyproject = true;
-
-  src = fetchFromGitHub {
-    owner = "cogeotiff";
-    repo = "rio-tiler";
-    rev = version;
-    hash = "sha256-MR6kyoGM3uXt6JiIEfGcsmTmxqlLxUF9Wn+CFuK5LtQ=";
-  };
-
-  build-system = with python3Packages; [ hatchling ];
-
-  propagatedBuildInputs = with python3Packages; [
-    boto3
-    numexpr
-    morecantile
-    pystac
-    rasterio
-    httpx
-    cachetools
-    color-operations
-  ];
-
-  nativeCheckInputs = with python3Packages; [
-    pytestCheckHook
-    rioxarray
-  ];
-
-  pythonImportsCheck = [ "rio_tiler" ];
-
-  meta = with lib; {
-    description = "User friendly Rasterio plugin to read raster datasets";
-    inherit (src.meta) homepage;
-    license = licenses.bsd3;
-    maintainers = [ maintainers.sikmir ];
-  };
-}
diff --git a/pkgs/geospatial/rioxarray/default.nix b/pkgs/geospatial/rioxarray/default.nix
deleted file mode 100644
index 3170002f94680b541542473cfb44246bf399f3d5..0000000000000000000000000000000000000000
--- a/pkgs/geospatial/rioxarray/default.nix
+++ /dev/null
@@ -1,45 +0,0 @@
-{
-  lib,
-  stdenv,
-  fetchFromGitHub,
-  python3Packages,
-}:
-
-python3Packages.buildPythonPackage rec {
-  pname = "rioxarray";
-  version = "0.15.5";
-  pyproject = true;
-
-  src = fetchFromGitHub {
-    owner = "corteva";
-    repo = "rioxarray";
-    rev = version;
-    hash = "sha256-bumFZQktgUqo2lyoLtDXkh6Vv5oS/wobqYpvNYy7La0=";
-  };
-
-  build-system = with python3Packages; [ setuptools ];
-
-  propagatedBuildInputs = with python3Packages; [
-    packaging
-    rasterio
-    xarray
-    pyproj
-    numpy
-  ];
-
-  doCheck = false;
-  nativeCheckInputs = with python3Packages; [
-    dask
-    netcdf4
-    pytestCheckHook
-  ];
-
-  pythonImportsCheck = [ "rioxarray" ];
-
-  meta = with lib; {
-    description = "geospatial xarray extension powered by rasterio";
-    inherit (src.meta) homepage;
-    license = licenses.asl20;
-    maintainers = [ maintainers.sikmir ];
-  };
-}
diff --git a/pkgs/geospatial/supermorecado/default.nix b/pkgs/geospatial/supermorecado/default.nix
index 66c47e9d05bdabc060c1f45e8b44396beb8dd304..53194371eda0f146d5f21c22ef2e6919141236cc 100644
--- a/pkgs/geospatial/supermorecado/default.nix
+++ b/pkgs/geospatial/supermorecado/default.nix
@@ -2,7 +2,6 @@ {
   lib,
   fetchFromGitHub,
   python3Packages,
-  morecantile,
 }:
 
 python3Packages.buildPythonApplication rec {
diff --git a/pkgs/geospatial/titiler/default.nix b/pkgs/geospatial/titiler/default.nix
index 07f52a3eb1b0a3bc72b8c8d8425d690487739ea1..1640c29aa5463d2a3fa16b0eb6eaecd30a77d211 100644
--- a/pkgs/geospatial/titiler/default.nix
+++ b/pkgs/geospatial/titiler/default.nix
@@ -3,7 +3,6 @@   lib,
   fetchFromGitHub,
   python3Packages,
   rio-stac,
-  rio-tiler,
   geojson-pydantic,
   rio-cogeo,
   starlette-cramjam,