diff --git a/flake.lock b/flake.lock
index 9c71cfb75029d279cd850ad5061a471b31804ee4..4f20cca0b18368fb7592cb2d98e11031a436555e 100644
--- a/flake.lock
+++ b/flake.lock
@@ -17,11 +17,11 @@       }
     },
     "nixpkgs": {
       "locked": {
-        "lastModified": 1666333455,
-        "narHash": "sha256-oHXIeLB/sPWxKNcSdV1DQi1ddNVoJ17T1yDiMMeygL4=",
+        "lastModified": 1666926733,
+        "narHash": "sha256-+gYfOEnQVISPDRNoWm2VJD5OEuTUySt48RchLpvm61o=",
         "owner": "NixOS",
         "repo": "nixpkgs",
-        "rev": "93e0ac196106dce51878469c9a763c6233af5c57",
+        "rev": "f44ba1be526c8da9e79a5759feca2365204003f6",
         "type": "github"
       },
       "original": {
diff --git a/pkgs/development/python-modules/large-image/default.nix b/pkgs/development/python-modules/large-image/default.nix
index c5f3c12b08aae20b83247637a242940ec9391b76..a332d69d567fd2739e99cebff991dd93ee036988 100644
--- a/pkgs/development/python-modules/large-image/default.nix
+++ b/pkgs/development/python-modules/large-image/default.nix
@@ -24,5 +24,6 @@     description = "Python modules to work with large multiresolution images";
     homepage = "http://girder.github.io/large_image/";
     license = licenses.asl20;
     maintainers = [ maintainers.sikmir ];
+    broken = true;
   };
 }
diff --git a/pkgs/gemini/stargazer/default.nix b/pkgs/gemini/stargazer/default.nix
index 9ed41dc303b2752796f1546df7a3cba86f81ce76..788e3410733f8b58a80eb4ed1d3d420035598f01 100644
--- a/pkgs/gemini/stargazer/default.nix
+++ b/pkgs/gemini/stargazer/default.nix
@@ -2,16 +2,16 @@ { lib, stdenv, rustPlatform, fetchFromSourcehut, Security, scdoc }:
 
 rustPlatform.buildRustPackage rec {
   pname = "stargazer";
-  version = "1.0.3";
+  version = "1.0.5";
 
   src = fetchFromSourcehut {
     owner = "~zethra";
     repo = "stargazer";
     rev = version;
-    hash = "sha256-Xf3nclb+qYNADzPv878DLut1PeDIAZPaiTi1yFeSz2k=";
+    hash = "sha256-n88X3RJD7PqOcVRK/bp/gMNLVrbwnJ2iwi2rCpsfp+o=";
   };
 
-  cargoHash = "sha256-iHh5s046sZI3/KGUgvIVADzA6AceOVfe9d5RJPWy8o0=";
+  cargoHash = "sha256-Yqh3AQIOahKz2mLeVNm58Yr6vhjU4aQwN62y3Z5/EJc=";
 
   nativeBuildInputs = [ scdoc ];
 
diff --git a/pkgs/geospatial/localtileserver/default.nix b/pkgs/geospatial/localtileserver/default.nix
index fac56a41c320249037c3c34e5f2523d79195a1e1..8175a9a0e70a0da61c794447ae2d3bfe45d606ae 100644
--- a/pkgs/geospatial/localtileserver/default.nix
+++ b/pkgs/geospatial/localtileserver/default.nix
@@ -52,5 +52,6 @@     description = "Local Tile Server for Geospatial Rasters";
     homepage = "https://localtileserver.banesullivan.com/";
     license = licenses.mit;
     maintainers = [ maintainers.sikmir ];
+    broken = true;
   };
 }
diff --git a/pkgs/misc/pvs-studio/default.nix b/pkgs/misc/pvs-studio/default.nix
index c24a7530bba14d0201cba120a46480725375c26e..a6dae87c6e653c25f7cb569103f22358b8dd6705 100644
--- a/pkgs/misc/pvs-studio/default.nix
+++ b/pkgs/misc/pvs-studio/default.nix
@@ -10,17 +10,17 @@   }.${system} or throwSystem;
 in
 stdenv.mkDerivation rec {
   pname = "pvs-studio";
-  version = "7.20.63487.255";
+  version = "7.21.64848.262";
 
   src = fetchurl {
     url = "https://cdn.pvs-studio.com/pvs-studio-${version}-${suffix}.tgz";
     hash = {
-      x86_64-linux = "sha256-sFTE12t3unROXiY+W7pFKb0NVgIOVkElR/b260gw/Q0=";
-      x86_64-darwin = "sha256-NBiWy/mEBSwcxZ2jiBcgQob2zfFgvJn9FF389xrSOLE=";
+      x86_64-linux = "sha256-oOi7xQxv3I8hEnF62TSeA+ZIjIpabTN+ulMNImURECM=";
+      x86_64-darwin = "sha256-BgONtKPE3Osd8g6ElebEyYUs9qFcuIU0HvsrdYSZEzc=";
     }.${system} or throwSystem;
   };
 
-  installPhase = "./install.sh $out";
+  installPhase = "sh ./install.sh $out";
 
   meta = with lib; {
     description = "Static code analyzer for C, C++";
diff --git a/pkgs/suckless/imscript/default.nix b/pkgs/suckless/imscript/default.nix
index 863110c08dd68c2fb45811949beee0f37cd60469..1ae0199e6546fccdb6deb410798804e6eaf871c9 100644
--- a/pkgs/suckless/imscript/default.nix
+++ b/pkgs/suckless/imscript/default.nix
@@ -3,13 +3,13 @@ , libpng, libjpeg, libtiff, libwebp, fftwFloat, libX11, gsl }:
 
 stdenv.mkDerivation rec {
   pname = "imscript";
-  version = "2022-07-27";
+  version = "2022-10-17";
 
   src = fetchFromSourcehut {
     owner = "~coco";
     repo = "imscript";
-    rev = "258369bbb75422a3938041c8b11626e2c6e60088";
-    hash = "sha256-8iU4dEwKHWXACLUSAzGP7ykeWmZBdkydiwUg8ip1bBQ=";
+    rev = "956cb6c5ec18eaa833280f16bc820b92be378078";
+    hash = "sha256-1Gwog7cCVj6wve/Hd95AcpvNkUe4jnC9XRL1gkzxMZ8=";
   };
 
   nativeBuildInputs = [ installShellFiles ];