diff --git a/flake.lock b/flake.lock
index 9dd57ee5acec886d6602fd2ebba0f335262738ef..2e691640fc20a7a3398690f9a9f9e07a2e3eab76 100644
--- a/flake.lock
+++ b/flake.lock
@@ -2,11 +2,11 @@ {
   "nodes": {
     "flake-utils": {
       "locked": {
-        "lastModified": 1644229661,
-        "narHash": "sha256-1YdnJAsNy69bpcjuoKdOYQX0YxZBiCYZo4Twxerqv7k=",
+        "lastModified": 1648297722,
+        "narHash": "sha256-W+qlPsiZd8F3XkzXOzAoR+mpFqzm3ekQkJNa+PIh1BQ=",
         "owner": "numtide",
         "repo": "flake-utils",
-        "rev": "3cecb5b042f7f209c56ffd8371b2711a290ec797",
+        "rev": "0f8662f1319ad6abf89b3380dd2722369fc51ade",
         "type": "github"
       },
       "original": {
@@ -17,11 +17,11 @@       }
     },
     "nixpkgs": {
       "locked": {
-        "lastModified": 1647350163,
-        "narHash": "sha256-OcMI+PFEHTONthXuEQNddt16Ml7qGvanL3x8QOl2Aao=",
+        "lastModified": 1648219316,
+        "narHash": "sha256-Ctij+dOi0ZZIfX5eMhgwugfvB+WZSrvVNAyAuANOsnQ=",
         "owner": "NixOS",
         "repo": "nixpkgs",
-        "rev": "3eb07eeafb52bcbf02ce800f032f18d666a9498d",
+        "rev": "30d3d79b7d3607d56546dd2a6b49e156ba0ec634",
         "type": "github"
       },
       "original": {
diff --git a/pkgs/data/misc/osm-extracts/default.nix b/pkgs/data/misc/osm-extracts/default.nix
index 7fa3ffe815ecd8814d4c24464942500848cd4fb7..ed0056884ba3024c851d6338f887cdfac2561810 100644
--- a/pkgs/data/misc/osm-extracts/default.nix
+++ b/pkgs/data/misc/osm-extracts/default.nix
@@ -2,11 +2,11 @@ { lib, stdenv, fetchurl, osmium-tool, region ? "RU-LEN" }:
 
 stdenv.mkDerivation rec {
   pname = "osm-extracts-${region}";
-  version = "211021";
+  version = "220327";
 
   src = fetchurl {
     url = "https://download.geofabrik.de/russia/northwestern-fed-district-${version}.osm.pbf";
-    hash = "sha256-U7vR/EgDXOChoVxGpi1XWw6r3Ey1tdeJtk3vcLRzRGs=";
+    hash = "sha256-KqVZ1z4f+IETUN4IhuSQX1O9wsg8Tmsu1UQwoo2sr8A=";
   };
 
   dontUnpack = true;
diff --git a/pkgs/default.nix b/pkgs/default.nix
index 31fcd862ff36236708d5723c776827b7ced8036f..f0759fe73eb627a421b44a18831fc4317cc6ef73 100644
--- a/pkgs/default.nix
+++ b/pkgs/default.nix
@@ -336,7 +336,9 @@     osmwalkthrough = callPackage ./osm/osmwalkthrough { };
     phyghtmap = callPackage ./osm/phyghtmap { };
     sdlmap = callPackage ./osm/sdlmap { };
     smopy = callPackage ./osm/smopy { };
-    smrender = callPackage ./osm/smrender { };
+    smrender = callPackage ./osm/smrender {
+      inherit (darwin.apple_sdk.frameworks) Foundation;
+    };
     taginfo-tools = callPackage ./osm/taginfo-tools { };
     tilemaker = callPackage ./osm/tilemaker { };
     vectiler = callPackage ./osm/vectiler { };
diff --git a/pkgs/development/python-modules/contextily/default.nix b/pkgs/development/python-modules/contextily/default.nix
index fcffca48d89e6cfa049579f2614ede98831e2ba7..ff5f573ffcb210edff6e38f56c2f5f7f38ee24d3 100644
--- a/pkgs/development/python-modules/contextily/default.nix
+++ b/pkgs/development/python-modules/contextily/default.nix
@@ -29,6 +29,5 @@     description = "Context geo-tiles in Python";
     homepage = "https://github.com/geopandas/contextily";
     license = licenses.bsd3;
     maintainers = [ maintainers.sikmir ];
-    broken = stdenv.isDarwin; # https://github.com/NixOS/nixpkgs/issues/137678
   };
 }
diff --git a/pkgs/development/python-modules/earthpy/default.nix b/pkgs/development/python-modules/earthpy/default.nix
index 3cce4bbc5f0f96f4feff02cd2ddc628671a0bcd1..449dbd16e972256a52c91f3b37dd0f30949f8c6b 100644
--- a/pkgs/development/python-modules/earthpy/default.nix
+++ b/pkgs/development/python-modules/earthpy/default.nix
@@ -27,6 +27,5 @@     description = "A package built to support working with spatial data using open source python";
     inherit (src.meta) homepage;
     license = licenses.bsd3;
     maintainers = [ maintainers.sikmir ];
-    broken = stdenv.isDarwin; # https://github.com/NixOS/nixpkgs/issues/137678
   };
 }
diff --git a/pkgs/geospatial/rio-mbtiles/default.nix b/pkgs/geospatial/rio-mbtiles/default.nix
index 83ab50a0953242b10c880b7b973655388117d568..9ac5e5fcd6de247da9f0c9a3c333f5eac3229148 100644
--- a/pkgs/geospatial/rio-mbtiles/default.nix
+++ b/pkgs/geospatial/rio-mbtiles/default.nix
@@ -33,6 +33,5 @@     description = "A plugin command for the Rasterio CLI that exports a raster dataset to an MBTiles 1.1 SQLite file";
     inherit (src.meta) homepage;
     license = licenses.mit;
     maintainers = [ maintainers.sikmir ];
-    broken = stdenv.isDarwin; # https://github.com/NixOS/nixpkgs/issues/137678
   };
 }
diff --git a/pkgs/nakarte/maprec/default.nix b/pkgs/nakarte/maprec/default.nix
index 7b2a0c3c71a0ab4741b3a15aa1e17cb9a3ca5279..56d04076a5b575cf05cb07070d703c88b14188cd 100644
--- a/pkgs/nakarte/maprec/default.nix
+++ b/pkgs/nakarte/maprec/default.nix
@@ -25,6 +25,5 @@   meta = with lib; {
     inherit (src.meta) homepage;
     license = licenses.free;
     maintainers = [ maintainers.sikmir ];
-    broken = stdenv.isDarwin; # https://github.com/NixOS/nixpkgs/issues/137678
   };
 }
diff --git a/pkgs/nakarte/ozi_map/default.nix b/pkgs/nakarte/ozi_map/default.nix
index 2f3daa916bf6733335b73dad5e49080f0027a8ea..759c7c421d1e81e37a7403163bc74ff3efc22d4e 100644
--- a/pkgs/nakarte/ozi_map/default.nix
+++ b/pkgs/nakarte/ozi_map/default.nix
@@ -24,6 +24,5 @@     description = "Python module for reading OziExplorer .map files";
     inherit (src.meta) homepage;
     license = licenses.free;
     maintainers = [ maintainers.sikmir ];
-    broken = stdenv.isDarwin; # https://github.com/NixOS/nixpkgs/issues/137678
   };
 }
diff --git a/pkgs/osm/smrender/default.nix b/pkgs/osm/smrender/default.nix
index 51b529d1e0d4880e3ca40b17832966f2883f4fac..f56bef2877bc533bc4282b475c25a1add9a8a4dd 100644
--- a/pkgs/osm/smrender/default.nix
+++ b/pkgs/osm/smrender/default.nix
@@ -1,4 +1,6 @@
-{ lib, stdenv, fetchFromGitHub, autoreconfHook, pkg-config, cairo, librsvg }:
+{ lib, stdenv, fetchFromGitHub, autoreconfHook, pkg-config, cairo, librsvg
+, Foundation, memstreamHook
+}:
 
 stdenv.mkDerivation rec {
   pname = "smrender";
@@ -13,7 +15,8 @@   };
 
   nativeBuildInputs = [ autoreconfHook pkg-config ];
 
-  buildInputs = [ cairo librsvg ];
+  buildInputs = [ cairo librsvg ]
+    ++ lib.optionals stdenv.isDarwin [ Foundation memstreamHook ];
 
   doInstallCheck = true;
   installCheckPhase = ''
@@ -27,7 +30,6 @@     description = "A powerful, flexible, and modular rule-based rendering engine for OSM data";
     inherit (src.meta) homepage;
     license = licenses.gpl3Only;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.linux;
-    skip.ci = stdenv.isDarwin;
+    platforms = platforms.unix;
   };
 }