diff --git a/pkgs/applications/macpass/bin.nix b/pkgs/applications/macpass/bin.nix
index d5cb19db6a41587456f2d6d3ab7b2e115b5a5204..81099de04c42e44369c6c3ac57c9092278afbd18 100644
--- a/pkgs/applications/macpass/bin.nix
+++ b/pkgs/applications/macpass/bin.nix
@@ -2,13 +2,13 @@ { lib, stdenv, fetchfromgh, unzip }:
 
 stdenv.mkDerivation rec {
   pname = "MacPass-bin";
-  version = "0.7.12";
+  version = "0.8.1";
 
   src = fetchfromgh {
     owner = "MacPass";
     repo = "MacPass";
     name = "MacPass-${version}.zip";
-    sha256 = "1gikixbrz1pvyjspp62msdmhjdy1rfkx8jhy7rajjr8bzm8pzpmc";
+    hash = "sha256-LQ073JRbQsDB/nmx63Tllptfdo/8VqoobXPTSShzsXM=";
     inherit version;
   };
 
diff --git a/pkgs/gemini/astronaut/default.nix b/pkgs/gemini/astronaut/default.nix
index 715392fa5a5f6149d4736bf4befe399a99437040..03e2d2e0f98541c7f243c09a957de246bca39aa8 100644
--- a/pkgs/gemini/astronaut/default.nix
+++ b/pkgs/gemini/astronaut/default.nix
@@ -1,4 +1,4 @@
-{ lib, buildGoModule, fetchFromSourcehut, scdoc }:
+{ lib, buildGoModule, fetchFromSourcehut, scdoc, installShellFiles }:
 
 buildGoModule rec {
   pname = "astronaut";
@@ -11,7 +11,7 @@     rev = version;
     hash = "sha256-eiUStCM9rJB4O+LVWxih6untjTPynj9cHX2b8Gz9/nQ=";
   };
 
-  nativeBuildInputs = [ scdoc ];
+  nativeBuildInputs = [ scdoc installShellFiles ];
 
   vendorHash = "sha256-7SyawlfJ9toNVuFehGr5GQF6mNmS9E4kkNcqWllp8No=";
 
@@ -22,9 +22,8 @@     scdoc < docs/astronaut.1.scd > docs/astronaut.1
   '';
 
   postInstall = ''
-	install -Dm644 docs/astronaut.1 $out/share/man/man1/astronaut.1
-	install -Dm644 config/astronaut.conf $out/share/astronaut/astronaut.conf
-	install -Dm644 config/style.conf $out/share/astronaut/style.conf
+    installManPage docs/astronaut.1
+    install -Dm644 config/*.conf -t $out/share/astronaut
   '';
 
   meta = with lib; {
diff --git a/pkgs/misc/imsg-compat/default.nix b/pkgs/misc/imsg-compat/default.nix
index 157c4b9f669e837f663c2022cd3eb21e26c9ff5f..7465a9fb6e0176df3e1907fadffa86b89ff1e321 100644
--- a/pkgs/misc/imsg-compat/default.nix
+++ b/pkgs/misc/imsg-compat/default.nix
@@ -1,4 +1,4 @@
-{ lib, stdenv, fetchFromGitHub }:
+{ lib, stdenv, fetchFromGitHub, validatePkgConfig }:
 
 stdenv.mkDerivation rec {
   pname = "imsg-compat";
@@ -13,8 +13,10 @@   };
 
   postPatch = ''
     substituteInPlace libimsg.pc.in \
-      --replace "@LIBDIR@" "lib"
+      --subst-var-by LIBDIR "lib"
   '';
+
+  nativeBuildInputs = [ validatePkgConfig ];
 
   makeFlags = [ "PREFIX=$(out)" ];
 
diff --git a/pkgs/nakarte/nakarte/default.nix b/pkgs/nakarte/nakarte/default.nix
index 15b929f4678ffee6f78334e35f94c66b6fca16b2..0e0a55eb09d58b6e3128f4ca5d7b26735a81d892 100644
--- a/pkgs/nakarte/nakarte/default.nix
+++ b/pkgs/nakarte/nakarte/default.nix
@@ -1,7 +1,7 @@
 { lib, stdenv, mkYarnPackage, fetchFromGitHub, secretsConfig ? null }:
 let
   pname = "nakarte";
-  version = "2021-07-17";
+  version = "2022-09-02";
 in
 mkYarnPackage {
   name = "${pname}-${version}";
@@ -9,8 +9,8 @@
   src = fetchFromGitHub {
     owner = "wladich";
     repo = "nakarte";
-    rev = "4163b36921d867f314de5351e079bd3d8ce6e444";
-    hash = "sha256-9klRyrnpdL0RJ8FupICbViG/oa3IFwqDcA6xoP9CvIs=";
+    rev = "c4392875048eeca01a50015f42d0a3d042b76989";
+    hash = "sha256-VcZ/Ga8C67rWqmdeqWMHOSIa8v80LCLEqMhnHyzY3Pg=";
   };
 
   postPatch =
@@ -19,7 +19,13 @@       "cp ${builtins.toFile "secrets.js" secretsConfig} src/secrets.js"
     else
       "cp src/secrets.js{.template,}";
 
-  buildPhase = "yarn build";
+  buildPhase = ''
+    runHook preBuild
+
+    yarn build
+
+    runHook postBuild
+  '';
 
   installPhase = ''
     install -dm755 $out
diff --git a/pkgs/suckless/imscript/default.nix b/pkgs/suckless/imscript/default.nix
index eaed48d8670cf3ed8dd6d8f7332f7baaf0816496..863110c08dd68c2fb45811949beee0f37cd60469 100644
--- a/pkgs/suckless/imscript/default.nix
+++ b/pkgs/suckless/imscript/default.nix
@@ -1,4 +1,5 @@
-{ lib, stdenv, fetchFromSourcehut, libpng, libjpeg, libtiff, libwebp, fftwFloat, libX11, gsl }:
+{ lib, stdenv, fetchFromSourcehut, installShellFiles
+, libpng, libjpeg, libtiff, libwebp, fftwFloat, libX11, gsl }:
 
 stdenv.mkDerivation rec {
   pname = "imscript";
@@ -11,6 +12,8 @@     rev = "258369bbb75422a3938041c8b11626e2c6e60088";
     hash = "sha256-8iU4dEwKHWXACLUSAzGP7ykeWmZBdkydiwUg8ip1bBQ=";
   };
 
+  nativeBuildInputs = [ installShellFiles ];
+
   buildInputs = [ libpng libjpeg libtiff libwebp fftwFloat libX11 gsl ];
 
   makeFlags = [ "DISABLE_HDF5=1" "full" ];
@@ -19,7 +22,7 @@   enableParallelBuilding = true;
 
   installPhase = ''
     install -Dm755 bin/* -t $out/bin
-    install -Dm644 doc/man/* -t $out/share/man/man1
+    installManPage doc/man/*
   '';
 
   meta = with lib; {