diff --git a/flake.lock b/flake.lock
index af2abc3c3dd4d5f0f68972538037f4dd66afd19f..20490ea92a2b50f4ea8072460676af494aa1113f 100644
--- a/flake.lock
+++ b/flake.lock
@@ -20,11 +20,11 @@       }
     },
     "nixpkgs": {
       "locked": {
-        "lastModified": 1695978539,
-        "narHash": "sha256-lta5HToBZMWZ2hl5CautNSUgIZViR41QxN7JKbMAjgQ=",
+        "lastModified": 1696693680,
+        "narHash": "sha256-PH0HQTkqyj7DmdPKPwrrXwVURLBqzZs4nqnDw9q8mhg=",
         "owner": "nixos",
         "repo": "nixpkgs",
-        "rev": "bd9b686c0168041aea600222be0805a0de6e6ab8",
+        "rev": "945559664c1dc5836173ee12896ba421d9b37181",
         "type": "github"
       },
       "original": {
diff --git a/pkgs/data/dicts/tatoeba/default.nix b/pkgs/data/dicts/tatoeba/default.nix
index 337928bbe2092ca7adc4d99f13c9f92796c0b7d2..aea6262f7218a038db58abdffda0765cea5005a0 100644
--- a/pkgs/data/dicts/tatoeba/default.nix
+++ b/pkgs/data/dicts/tatoeba/default.nix
@@ -32,7 +32,7 @@   tatoeba = builtins.fromJSON (builtins.readFile ./tatoeba.json);
 in
 stdenvNoCC.mkDerivation rec {
   pname = "tatoeba";
-  version = "2023-09-30";
+  version = "2023-10-07";
 
   srcs = lib.mapAttrsToList (name: spec: fetchurl spec) tatoeba;
 
diff --git a/pkgs/data/dicts/tatoeba/tatoeba.json b/pkgs/data/dicts/tatoeba/tatoeba.json
index 72b2a837288db3657329ee13e5a4fc8894718342..abb7c74ac215b924a96ae4326feea9f43a4c65fe 100644
--- a/pkgs/data/dicts/tatoeba/tatoeba.json
+++ b/pkgs/data/dicts/tatoeba/tatoeba.json
@@ -1,19 +1,19 @@
 {
   "deu_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu_sentences_detailed.tsv.bz2",
-    "hash": "sha256-vnleVfmx6ORtVe4GyVfmO/9AigYt/GSN+crHeJX+6iI="
+    "hash": "sha256-Ajf2PLDqJQ0I5dxbbJBbfcHeRtczEViWhP3H9/v2pyA="
   },
   "eng_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng_sentences_detailed.tsv.bz2",
-    "hash": "sha256-jBPMGpqLSC3b3wQu42ZK1nAZs0BT9C2rdoElR1oXosQ="
+    "hash": "sha256-6N9/MUxLUZLTsTkIqGXoypG9XWY2nAELWJ8amO7UrNc="
   },
   "epo_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo_sentences_detailed.tsv.bz2",
-    "hash": "sha256-LvvVfiWqFgJ/y1TF0jjpTvlEmQndHkwVZH7uKWYEH8o="
+    "hash": "sha256-O+LMf9c43/RcMBH6m/lXT9JUXMvc78uBW9ovLR+rUn8="
   },
   "fin_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin_sentences_detailed.tsv.bz2",
-    "hash": "sha256-5oW9i5lI41Zt4pliJ9duCtH0KsUk+xlEITEYPsVfaG4="
+    "hash": "sha256-G/C56RIoHZJyV9Ah05uq4c/iouqxHXI2DbeX092MArI="
   },
   "hye_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/hye/hye_sentences_detailed.tsv.bz2",
@@ -21,35 +21,35 @@     "hash": "sha256-ihwN8DiUh5kIL7D7l6kYYSHKGJrK9ZN7zq8O6l9Tj9A="
   },
   "rus_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus_sentences_detailed.tsv.bz2",
-    "hash": "sha256-ZQm5yaVIB04XJCjpBoWqJatNmhkFAe/5X/roiO7M0iA="
+    "hash": "sha256-V7ehhZ2/lFM3cQHjUNz9B3PUc1ZGjE+6M1qJD0k3Aic="
   },
   "swe_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe_sentences_detailed.tsv.bz2",
-    "hash": "sha256-vYPWpHsWezjqjEAXqxmPnT0m/cvzki5m+59UT1Pgi7s="
+    "hash": "sha256-APzxk0PkpCvYOtGYvw6g6u3+ESRtw6Veiavkkq5E6tw="
   },
   "ukr_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr_sentences_detailed.tsv.bz2",
-    "hash": "sha256-9diE51cx25mp4o0kcsJJzFG//GJp7ec7bAp0msMCCbs="
+    "hash": "sha256-SQ+r4b69PtheyKz37ibCBpx4D1lxJNYCb5XzKjSodpA="
   },
   "deu-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu-eng_links.tsv.bz2",
-    "hash": "sha256-LKwl0l6VB77v2rBqdqxvsf601TdXJpCbfsnH2kREA0A="
+    "hash": "sha256-Nk6BH+sW7r7+09Hm3+t3C5ojIHuLnCBBsd8l9lnmKbM="
   },
   "deu-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu-rus_links.tsv.bz2",
-    "hash": "sha256-1Q1IndJv8TzU3tAwLThzvL339md4N6/Dt4541Ro7Dgw="
+    "hash": "sha256-50Rv0CsHq6t57pQuxlilVngx88oInlTDTtbFxcnfpPs="
   },
   "eng-epo_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-epo_links.tsv.bz2",
-    "hash": "sha256-YrUGE7g7WA0bVEFLAL5bIKkCFGYwnxiKOAMSHlZxzeA="
+    "hash": "sha256-rLV0+lm/XgRstBvNrShAwspDal6ehzX1LA2UQpQz5Ng="
   },
   "eng-deu_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-deu_links.tsv.bz2",
-    "hash": "sha256-NwS7XxvuT7fFryFpaghxiww6Nv+Byd8AYc0cfoQLv2M="
+    "hash": "sha256-KwHKppoe0dUVBx2DnM02JDZIWW5PMpkHnbcA4VTxUgA="
   },
   "eng-fin_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-fin_links.tsv.bz2",
-    "hash": "sha256-1sODF1emgCHIhi25RmY3ycsoyQix0YhqJbjtJV92l58="
+    "hash": "sha256-32nwPnwXKt8sCqfRPXSJC0kAQMeZH2+M6ShTGCYUb+s="
   },
   "eng-hye_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-hye_links.tsv.bz2",
@@ -57,31 +57,31 @@     "hash": "sha256-kcb5Qd+OkC+gYv1qqzwa43umeINQsp6l5ntWzKFpziA="
   },
   "eng-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-rus_links.tsv.bz2",
-    "hash": "sha256-JkQnWJJtdPOAbKJl48oKFSbxaJt2sfmiRyPUveF6yoY="
+    "hash": "sha256-60Z9DPT+q0VG1CXPFwtTyRzNZ4PUzOgSP5TgFPHJUWY="
   },
   "eng-swe_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-swe_links.tsv.bz2",
-    "hash": "sha256-rj7xnMkQs9aL30nZ+NFfI72Tlk88y59GkGSI4PbUqc0="
+    "hash": "sha256-CazLZI8aHWwcJwJJmHMk+jYiTGeAMYkLUNZ69WE1gFE="
   },
   "eng-ukr_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-ukr_links.tsv.bz2",
-    "hash": "sha256-sADubBnKNbG6tYUQi9YBzMj5FqVADYnx0DafVnWwSis="
+    "hash": "sha256-m3A1tKVnZZklrO1PgV3E7o23SSBEVrzm2LjnOa5m3hc="
   },
   "epo-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo-eng_links.tsv.bz2",
-    "hash": "sha256-GHYSQkQaf3K8xSebrGyeU0r2pbcCDL4uum/vXzkAjUU="
+    "hash": "sha256-HY9YhlkQaDIFuqlaan+lRqSG5OROCpRFWGAVsuuTCtg="
   },
   "epo-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo-rus_links.tsv.bz2",
-    "hash": "sha256-r/ZWImbSzzS7sNWq7unv1O2k+d3rOOwugdiMDPoj6s4="
+    "hash": "sha256-jfJ0dA7V5wgPeBMSdWqM4lu7XEGzGLKheoZudosM9oU="
   },
   "fin-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin-eng_links.tsv.bz2",
-    "hash": "sha256-TrS7O2rYuznRJlQCMDOzkAvlFrE+L1VbF0a+TMtCLyk="
+    "hash": "sha256-nb+b6AbFo9stLWH9Ipwz8sXvNl0CmQWYf1hLgipEdkY="
   },
   "fin-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin-rus_links.tsv.bz2",
-    "hash": "sha256-LShby8j90S2dex7/cQ4eABFoIluPU/dmFVGV0B9emcQ="
+    "hash": "sha256-00Yohh/WnWQKpXhrddJHbRjAo6rhzBAXDCLPRKPAYGw="
   },
   "hye-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/hye/hye-eng_links.tsv.bz2",
@@ -93,19 +93,19 @@     "hash": "sha256-mIrFERFWe/j6e9dMVvh5DirgEtBU5gBj4tmBiwXhpoA="
   },
   "rus-deu_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-deu_links.tsv.bz2",
-    "hash": "sha256-bIlsLbW22RFYiHgl/S7zNA3H/2Vi82+bQ+RAr89GmKY="
+    "hash": "sha256-S+7ZX+ECkt5OaTximaeG88eTyfY+g/HV3rsEG3QYbn0="
   },
   "rus-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-eng_links.tsv.bz2",
-    "hash": "sha256-qjxBsOdbWBN+h/1so2XY9ExSvkuTGj5wDUQBSpo00Nc="
+    "hash": "sha256-MzQHjQoIzG9cTxm7dTwk6qI9fQnWjCfIYPR/ZiIbypg="
   },
   "rus-epo_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-epo_links.tsv.bz2",
-    "hash": "sha256-05OmFGkzzMrWvIOKGFM0U8rIVtDBEdPuW+nnHieIwuc="
+    "hash": "sha256-eOr28fNEDgAyfVRaXqie7F/3+Aa+D/vbc+W+eFJ5EsI="
   },
   "rus-fin_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-fin_links.tsv.bz2",
-    "hash": "sha256-hHFNc7OOWb7Lk5kEEryq1X+6V4LRLeQ+oz4POuff0vM="
+    "hash": "sha256-CYV0c6RMLvVmIej27j5w26ANfLNv49Mp4BteG9qOxWs="
   },
   "rus-hye_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-hye_links.tsv.bz2",
@@ -117,11 +117,11 @@     "hash": "sha256-5/aQKAFkuuQFnbuCUa74Ipt5H7ATru+YjuY2Smf6OWY="
   },
   "rus-ukr_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-ukr_links.tsv.bz2",
-    "hash": "sha256-sIpqIJxy6GfUv2OQpCsLvcMBvvIKjynRCk55UXX/kTU="
+    "hash": "sha256-9AO2fRcZAnU5mLCwvVffRntMJeNz10nuYgetOmV4wUw="
   },
   "swe-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe-eng_links.tsv.bz2",
-    "hash": "sha256-k5wzPMcveaIOIvI7p6J86bB9YpCuQS/ZmWtpr0W0DGY="
+    "hash": "sha256-OD+JT2M/KGrPvPtKZ2ber9nMMON+J2M/UzoMamFvF5E="
   },
   "swe-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe-rus_links.tsv.bz2",
@@ -129,10 +129,10 @@     "hash": "sha256-hLT1KNyDzvv18ox1hGWSAs/4M8zlNBGkuHlRgpwhanA="
   },
   "ukr-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr-eng_links.tsv.bz2",
-    "hash": "sha256-hjQxn9kZOuCChI6GbLd0cXHBGGT0HTOfXj8F0uv3kwk="
+    "hash": "sha256-vi2CwZvBwIkA5kayNLkQTpl9NPu7QskCVcYMD1NBDi4="
   },
   "ukr-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr-rus_links.tsv.bz2",
-    "hash": "sha256-1spE661JrNGCw4Iaf18SgUFsJAqsg4v7Gah2zo7lqiY="
+    "hash": "sha256-tKrmdRcRahgzLNsZHDPGjXvIv1Jl0q7IegvHYkXhr8A="
   }
 }
diff --git a/pkgs/misc/ascii-dash/default.nix b/pkgs/misc/ascii-dash/default.nix
index dd47ec1c9625801bea7e0364c273562fef2ab656..96e02a5b8ba15a8a5a1614474a71d2fe16d0d4d8 100644
--- a/pkgs/misc/ascii-dash/default.nix
+++ b/pkgs/misc/ascii-dash/default.nix
@@ -6,7 +6,7 @@   version = "1.3";
 
   src = fetchurl {
     url = "mirror://sourceforge/ascii-dash/ASCII-DASH-${finalAttrs.version}.zip";
-    hash = "sha256-uXkSiEyW7R13mRqV9MyJ7XVsk60sVSZ93UQ/L5Z0uC0=";
+    hash = "sha256-38wBq067aIq9wr34WIP6Kg9LLnc8/2xV9Q+LkmflB5U=";
   };
 
   postPatch = ''
@@ -40,5 +40,6 @@     homepage = "https://ascii-dash.sourceforge.io/";
     license = licenses.mit;
     platforms = platforms.unix;
     broken = stdenv.isDarwin; # mesa is broken
+    mainProgram = "ascii-dash";
   };
 })
diff --git a/pkgs/misc/pnoise/default.nix b/pkgs/misc/pnoise/default.nix
index f6f9dc3216cac0a3a74734219ec8d46102fd3f37..d8ecfc2fb407e27b81a866df833e5a5727708127 100644
--- a/pkgs/misc/pnoise/default.nix
+++ b/pkgs/misc/pnoise/default.nix
@@ -1,4 +1,4 @@
-{ lib, python3Packages, fetchFromGitHub, poetry }:
+{ lib, python3Packages, fetchFromGitHub }:
 
 python3Packages.buildPythonApplication rec {
   pname = "pnoise";