diff --git a/flake.lock b/flake.lock
index f882d0a9093e27e02df15152780bf6b07c7c95a3..a086c345e775dc3831b29ff4886ff605c300e9f3 100644
--- a/flake.lock
+++ b/flake.lock
@@ -20,11 +20,11 @@       }
     },
     "nixpkgs": {
       "locked": {
-        "lastModified": 1736943799,
-        "narHash": "sha256-BYsp8PA1j691FupfrLVOQzm4CaYaKtkh4U+KuGMnBWw=",
+        "lastModified": 1737003892,
+        "narHash": "sha256-RCzJE9wKByLCXmRBp+z8LK9EgdW+K+W/DXnJS4S/NVo=",
         "owner": "nixos",
         "repo": "nixpkgs",
-        "rev": "ae2fb9f1fb5fcf17fb59f25c2a881c170c501d6f",
+        "rev": "ae06b9c2d83cb5c8b12d7d0e32692e93d1379713",
         "type": "github"
       },
       "original": {
diff --git a/pkgs/data/dicts/tatoeba/default.nix b/pkgs/data/dicts/tatoeba/default.nix
index 9444bc885337d7180184df42cffc3d7439d0f86a..1ccd66e55e1b38b9fd1b6503b25ca23910883b5d 100644
--- a/pkgs/data/dicts/tatoeba/default.nix
+++ b/pkgs/data/dicts/tatoeba/default.nix
@@ -45,7 +45,7 @@   tatoeba = builtins.fromJSON (builtins.readFile ./tatoeba.json);
 in
 stdenvNoCC.mkDerivation rec {
   pname = "tatoeba";
-  version = "2025-01-11";
+  version = "2025-01-18";
 
   srcs = lib.mapAttrsToList (name: spec: fetchurl spec) tatoeba;
 
diff --git a/pkgs/data/dicts/tatoeba/tatoeba.json b/pkgs/data/dicts/tatoeba/tatoeba.json
index bf06b5ce1a9a1846f9dc01317d76343ae4206938..4d86bc68f6d36eb0968195586dbd73f52f6ba5b8 100644
--- a/pkgs/data/dicts/tatoeba/tatoeba.json
+++ b/pkgs/data/dicts/tatoeba/tatoeba.json
@@ -5,39 +5,39 @@     "hash": "sha256-lC+9/ZI3iwzOOFPzt3MHYTaytk090xa8LP73/1K3YPU="
   },
   "deu_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu_sentences_detailed.tsv.bz2",
-    "hash": "sha256-PgeH21erTPG3fCFF5QVOEHC1pQeDoXiU5OX1xYDjsy8="
+    "hash": "sha256-BLeNp7tmyAeQMInF7Vnp74MQoJi97Vl4dbWoEv3PbWU="
   },
   "eng_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng_sentences_detailed.tsv.bz2",
-    "hash": "sha256-q4k+cNV01fRahQf2hXGDUEAi+XoWNj3S9QIl4rEEkzM="
+    "hash": "sha256-I1yUe6LWOaIMr+LNSPLnYZ06SPby7Lf1duJWwtYvfuk="
   },
   "epo_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo_sentences_detailed.tsv.bz2",
-    "hash": "sha256-ymTJmtxTs6onWAEmHs6xAmTinX3XV8aRX69NOcUUGdk="
+    "hash": "sha256-99XXB5o2A1LPtfYb8SjsF6m3oCppovLoZUjX5KxKa80="
   },
   "fin_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin_sentences_detailed.tsv.bz2",
-    "hash": "sha256-z2Wl5aEg2xDvE7a8xcP0QNEQYlHdC6y5An6arblMS4o="
+    "hash": "sha256-YnbL/d9pUaMrFnFNkq5/DabHWrNFwfT1vrsrD862sp4="
   },
   "hye_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/hye/hye_sentences_detailed.tsv.bz2",
-    "hash": "sha256-ytzdRFkqndbBNyvB9kLxvmBCjSK0R+Z54tC/2l+H8g8="
+    "hash": "sha256-UqRSjYePBdZ7UYY2YsqFaeytEeQC5uHDSOljDLwA7Og="
   },
   "rus_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus_sentences_detailed.tsv.bz2",
-    "hash": "sha256-uBCewmZUeYWC8JaV9679Zf8E8U2MQY705V7qe7E47ak="
+    "hash": "sha256-L35BA0A8b/PSPegxCpHeQwYq4QGrOmT8vWbZ06cSi8c="
   },
   "swe_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe_sentences_detailed.tsv.bz2",
-    "hash": "sha256-NM4XWMvLu+2Lg5y1OP9pADzdQo2aJ+cq94oS9qIb1tg="
+    "hash": "sha256-8I2OiWzTO/1VUaiHe4LE+hQncVN+0/ME5baiPMlvQIk="
   },
   "ukr_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr_sentences_detailed.tsv.bz2",
-    "hash": "sha256-E4nGi2rPFeBXT1SdkvHoGblTWPFrxyV0HO7Ze/nY5gg="
+    "hash": "sha256-JcGoYQGkZ/YCKj4GMVmB2ej8cUJbsbEjjCG/Osj0rSs="
   },
   "bel-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/bel/bel-eng_links.tsv.bz2",
-    "hash": "sha256-YYb5Wam2cXDnWytlB+IgYx91/qWa7nIQK4R3yOrfipI="
+    "hash": "sha256-cgRvoouG3J7MLRP3I0V9R5kgvzGxV5h1UGQbHzG/Oao="
   },
   "bel-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/bel/bel-rus_links.tsv.bz2",
@@ -45,55 +45,55 @@     "hash": "sha256-5B5oYEpkYzfIktaVR9yZtNFGAXP2v5+wVgcz+h1EO0c="
   },
   "deu-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu-eng_links.tsv.bz2",
-    "hash": "sha256-QG17cXs/xJrHlB4GKiizhg+3gevDbWLKfbzu9jijQkU="
+    "hash": "sha256-OUcBjMtQySWs4ezT/v5JvJubzFo6WKgeWkaeGKcOSto="
   },
   "deu-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu-rus_links.tsv.bz2",
-    "hash": "sha256-+fjtqS6ak/x7jA4BgyIT5+TX9Ce9W/Wlh9QMARc+7mI="
+    "hash": "sha256-wEzqrt5F+TKj6Fw1dJsnntajAuSWTfsvcb4gYGsVTb8="
   },
   "eng-epo_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-epo_links.tsv.bz2",
-    "hash": "sha256-HI+cVft/aTUph6rgrJzjw/MRGNenn6P4ntfcrD7t7Rg="
+    "hash": "sha256-b39GIkFZ4+d8KPr/gxx0Tqz2uOqyqQ05Fd0fba4KfAI="
   },
   "eng-bel_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-bel_links.tsv.bz2",
-    "hash": "sha256-tnOHsCoU/nevl0VOfZ+dAEYH61Wgl5wfdSzJdvm7j7s="
+    "hash": "sha256-pHiR8lghI2uPkqDO97OF9V+2u1WxJCc+c98tGWjGENo="
   },
   "eng-deu_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-deu_links.tsv.bz2",
-    "hash": "sha256-F2b2AtYyk1VWQ0BnRoLLPXvKWvEJyb70dPwaVko6Dx8="
+    "hash": "sha256-UzlwcFZ3SE+iLrQne0Wljgi7S5LOMWJe+S7n/b+qJwE="
   },
   "eng-fin_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-fin_links.tsv.bz2",
-    "hash": "sha256-W8XlauvrG8ovdNkOEY8wxS21R8Xe+89FUFHHrsQMwt0="
+    "hash": "sha256-AZc8JR5JquMUYNIp1MbmbrvbOvQ2d3tOl3JanxqbtpQ="
   },
   "eng-hye_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-hye_links.tsv.bz2",
-    "hash": "sha256-pts+3S8iXQJXhhNHUuHCaXRyVyZKmOPbPkqF6fi/gKM="
+    "hash": "sha256-AOmtFbhTG5jvliz0v57a4im18aqp7vB6gxahZwnADXY="
   },
   "eng-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-rus_links.tsv.bz2",
-    "hash": "sha256-CPsVrfvxd/iH/BdXu5HtofU7Y9lMEBio7sreN2zF9BQ="
+    "hash": "sha256-yUs6XSTjTsRZ7EV68nhssU4NKKWV9UmfzqbrKcz18q8="
   },
   "eng-swe_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-swe_links.tsv.bz2",
-    "hash": "sha256-aT3DEO3iDb/7cEiu1Fy7wOQkmlpp7GlOfypkJMC4BSE="
+    "hash": "sha256-z6o4EsldVNgD72F6RGCPNvdDgIO+PQ1Gq7RN6Jht1dU="
   },
   "eng-ukr_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-ukr_links.tsv.bz2",
-    "hash": "sha256-g+/r3vOlqnw6lyAn+j3eFWq/zfo+kCKG8nm+fT6eupk="
+    "hash": "sha256-QDE8+Q7nZr8Nr0n2mnwQ1tHo9XcS4blBMb8vpi+OBqs="
   },
   "epo-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo-eng_links.tsv.bz2",
-    "hash": "sha256-LAiYaskRJDFA7fYmMmZ3lVpVCU7a9PCEjluClRfWf7g="
+    "hash": "sha256-PTdtFy2oKy+Xpzg8/QNy9nHI5v14Klnc4DhC1oGQfpQ="
   },
   "epo-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo-rus_links.tsv.bz2",
-    "hash": "sha256-8gYDLbNXKhKHqEHKMnPorpvff/IgZ8R+znPTsR6T1ns="
+    "hash": "sha256-bdu3kft11YhX50fpHbCJyWhtOCDdU4VA+cUSejKyn4Y="
   },
   "fin-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin-eng_links.tsv.bz2",
-    "hash": "sha256-hshkTPzholgIa7p2KRQaoMX1D66A2tvNIBHO4ny4xBg="
+    "hash": "sha256-GLyB7Cd5LMDNJNtLujQxHBuATAPtaU686IgV3XBs8to="
   },
   "fin-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin-rus_links.tsv.bz2",
@@ -101,11 +101,11 @@     "hash": "sha256-Awp7UQatlCtrjooydHGyO8HtfgWuOuSopXckwjv4gBo="
   },
   "hye-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/hye/hye-eng_links.tsv.bz2",
-    "hash": "sha256-bNZsZS5+7EYzOTYsiln/MU6X4tuULjCteMB1ioyEQhA="
+    "hash": "sha256-URyquPlvgL+yqEWr57A4bZe5uEMGZjeQQk0MxmFFng0="
   },
   "hye-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/hye/hye-rus_links.tsv.bz2",
-    "hash": "sha256-LNbABMEZQHbfz1TuV9mzXz2NS6J6A7KR4BBE7ZYHE8Q="
+    "hash": "sha256-dcRDiSPPIOWNGZlRrksCludhXHvGmwH9h48SitKqgqY="
   },
   "rus-bel_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-bel_links.tsv.bz2",
@@ -113,15 +113,15 @@     "hash": "sha256-HnzT3/MoMrPOobHshpbjv5C1cuOJ15GsKnBBxoUffZI="
   },
   "rus-deu_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-deu_links.tsv.bz2",
-    "hash": "sha256-eTjVplITz3Xeagu0pnOGvHMfQkdfwtIR0DUtA4xCScc="
+    "hash": "sha256-nEEGOd3vdrnZVxzslhAHg0Bpd14sJsid/O17vlAlYJA="
   },
   "rus-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-eng_links.tsv.bz2",
-    "hash": "sha256-p9RlYblPjfsMjYyy0Lm4ZPFBzUI7RzhWD6uEEk3uPxU="
+    "hash": "sha256-xfn69pvdBsW8pe+IggRQ4ZuXeXU9I0fl+JEKRGS1AfU="
   },
   "rus-epo_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-epo_links.tsv.bz2",
-    "hash": "sha256-QUK4wEQ0v3tcsI0PHVNB2E+dWpxhJLSfl8lLOXIRgtc="
+    "hash": "sha256-cBtHRQVg4El8wX9vnG60JHSTp+G48FjYKjWl84Qx7sU="
   },
   "rus-fin_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-fin_links.tsv.bz2",
@@ -129,7 +129,7 @@     "hash": "sha256-u1AT8KVGboLfTgjblCWaZ24pK17iMWMza7VwNTDmLqQ="
   },
   "rus-hye_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-hye_links.tsv.bz2",
-    "hash": "sha256-dnXAK5km98cFGJ07fw/SvHEoAurrQRQAiGliImMLbM0="
+    "hash": "sha256-yKH421s0PQLSzIg8JMyPtt7CkogLG4JF4AUaPzqJIiw="
   },
   "rus-swe_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-swe_links.tsv.bz2",
@@ -137,11 +137,11 @@     "hash": "sha256-pQMFP3DKI4EjdkQAodLV5F06vvQjZ3BGZpOgH9QZrFw="
   },
   "rus-ukr_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-ukr_links.tsv.bz2",
-    "hash": "sha256-+jfoHVrXpCxcsBsKaGs6TMIF0VsMi22L+Tk/SdLq1uk="
+    "hash": "sha256-AUc1ODgHBEORKSDVz4yi0RNGo3dYQTghkKUkK9hcNVI="
   },
   "swe-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe-eng_links.tsv.bz2",
-    "hash": "sha256-MvIbTwBvsQ0boR9UARbCKdDuKZwKRQJHt5pfcY8L1qA="
+    "hash": "sha256-4Kbkhlw6SbnQKN+r1iPZCcl4i1tVQI9vICx4DmVhmqo="
   },
   "swe-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe-rus_links.tsv.bz2",
@@ -149,10 +149,10 @@     "hash": "sha256-jnm0hXetMfvIt+lhEoJ8dgLL4+ZVs87R+GK2xkDNIvw="
   },
   "ukr-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr-eng_links.tsv.bz2",
-    "hash": "sha256-F6AwqY03KpqAaD/BpF0wzXjNUQro2cl3dmwD39PMC/0="
+    "hash": "sha256-qJ5ZoBdseElXfa3u3pYoYYAWHLcKFQfn74f9onfmeL8="
   },
   "ukr-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr-rus_links.tsv.bz2",
-    "hash": "sha256-EkaVfUl1DbURXlpzxMDuP8OC8YYcB4vEbqcqraMBOgU="
+    "hash": "sha256-tpDfQ34VMvrRQ3QrDgV7GoN15emV3KkCw4ezvt2BKbg="
   }
 }
diff --git a/pkgs/data/maps/opentopomap/default.nix b/pkgs/data/maps/opentopomap/default.nix
index 18b0fa8ad13820acdf115887b9e29b1fe254c048..c172963e25ab2dcb3cdfe251a37e0d2da6ee70d0 100644
--- a/pkgs/data/maps/opentopomap/default.nix
+++ b/pkgs/data/maps/opentopomap/default.nix
@@ -2,24 +2,27 @@ {
   lib,
   stdenv,
   fetchFromGitHub,
+  fetchwebarchive,
   fetchurl,
   unzip,
   mkgmap,
   mkgmap-splitter,
 }:
 let
-  version = "250107";
-  bounds = fetchurl {
-    url = "https://www.thkukuk.de/osm/data/bounds-20250103.zip";
-    hash = "sha256-NrEblRWr6GynP1e44gQnihkUf3/hnbpXfSv51IWrDsY=";
+  version = "250115";
+  bounds = fetchwebarchive {
+    url = "https://www.thkukuk.de/osm/data/bounds-20250110.zip";
+    timestamp = "20250116113456";
+    hash = "sha256-KRsCgzFUoEi7Ou6gUsQp/4l7V9jW/q3Zy3HikW9SCOs=";
   };
-  sea = fetchurl {
-    url = "https://www.thkukuk.de/osm/data/sea-20250107001502.zip";
-    hash = "sha256-caSc/rkO+CZK/1JOqZgk1PJkJXaZ66+Qz4KlW9fUnLw=";
+  sea = fetchwebarchive {
+    url = "https://www.thkukuk.de/osm/data/sea-20250114001521.zip";
+    timestamp = "20250116115241";
+    hash = "sha256-1why/zj+/S4F1CbRdhzMen75WA2O5guMKjj3Gk4RrFw=";
   };
   armenia = fetchurl {
     url = "https://download.geofabrik.de/asia/armenia-${version}.osm.pbf";
-    hash = "sha256-78xH15BMkMqMHrzxQQWAYdxLdAN3pJLZHcPJr/5LZgA=";
+    hash = "sha256-z/oTAL30QJ52ON3ppZCDrwWWcuKBkpu94SEui+YRcHk=";
   };
 in
 stdenv.mkDerivation (finalAttrs: {
diff --git a/pkgs/data/misc/poi/default.nix b/pkgs/data/misc/poi/default.nix
index ebecdcdb635f7fe683d6a1f4438ee37dc5dda005..744ce777e54f313ee743b6696f1e6fe42284d724 100644
--- a/pkgs/data/misc/poi/default.nix
+++ b/pkgs/data/misc/poi/default.nix
@@ -9,10 +9,10 @@ }:
 
 {
   geocachingSu = fetchwebarchive {
-    name = "geocaching_su-2023-10-26";
+    name = "geocaching_su-2025-01-18";
     url = "https://nakarte.me/geocachingSu/geocaching_su2.json";
-    timestamp = "20231026111612";
-    hash = "sha256-gZv5Ygd5XRrt45k3LLbts9B64tEhOWETm8iHld/NlxA=";
+    timestamp = "20250118085408";
+    hash = "sha256-JsSbx1sgt1E4+zn6g+tPfbBK/7O+Y9+ReuAiECDyBac=";
     downloadToTemp = true;
     recursiveHash = true;
     postFetch = ''
diff --git a/pkgs/development/libraries/libgnunetchat/default.nix b/pkgs/development/libraries/libgnunetchat/default.nix
index 815920bc674179164e9ac4e6ab4f3306902d8536..fabddeb42b50007be25e6601c18e3cf71d8b6f79 100644
--- a/pkgs/development/libraries/libgnunetchat/default.nix
+++ b/pkgs/development/libraries/libgnunetchat/default.nix
@@ -14,11 +14,11 @@ }:
 
 stdenv.mkDerivation (finalAttrs: {
   pname = "libgnunetchat";
-  version = "0.5.0";
+  version = "0.5.2";
 
   src = fetchurl {
     url = "mirror://gnu/gnunet/libgnunetchat-${finalAttrs.version}.tar.gz";
-    hash = "sha256-IJ2XeJ/wPDDc4dEoaiucJAsnpU7e3Xa72r1EGPH27tw=";
+    hash = "sha256-ecdFfDF1uuqvCL7j465HYIPTq+6kAJugmyq8JSPdEIo=";
   };
 
   postPatch = ''
diff --git a/pkgs/geospatial/titiler/default.nix b/pkgs/geospatial/titiler/default.nix
index 2fdc6644f72be1f4cda5223e9c54cfe2d4b28a3a..f9f904999d4e63a513ad93f7dc7d52f882a554d2 100644
--- a/pkgs/geospatial/titiler/default.nix
+++ b/pkgs/geospatial/titiler/default.nix
@@ -10,13 +10,13 @@   cogeo-mosaic,
 }:
 let
   pname = "titiler";
-  version = "0.19.1";
+  version = "0.20.1";
 
   src = fetchFromGitHub {
     owner = "developmentseed";
     repo = "titiler";
     tag = version;
-    hash = "sha256-Ebz9o0wbUnctIx03ywm0k3t90fnw77fH6XUmv4J2G0c=";
+    hash = "sha256-plArEGrT/yJ0lhLMyR5ekbImBtJfwPdByRP2XwD6quc=";
   };
 
   meta = {
diff --git a/pkgs/misc/messenger-cli/default.nix b/pkgs/misc/messenger-cli/default.nix
index c167b0f2739c13b3b1ea0e9b09d87ef84b838d1c..b464fb8e3ab737e08d86731f165f91e6b0934417 100644
--- a/pkgs/misc/messenger-cli/default.nix
+++ b/pkgs/misc/messenger-cli/default.nix
@@ -15,11 +15,11 @@ }:
 
 stdenv.mkDerivation (finalAttrs: {
   pname = "messenger-cli";
-  version = "0.3.0";
+  version = "0.3.1";
 
   src = fetchurl {
     url = "mirror://gnu/gnunet/messenger-cli-${finalAttrs.version}.tar.gz";
-    hash = "sha256-FpZLJibjgZAAeqdQabgCYG0GRPERTAaZ4rjQ71o96nI=";
+    hash = "sha256-Tkpvep2ov6boicTY4iGwi/WV5UiVPkIt1mZjXRnuT4s=";
   };
 
   nativeBuildInputs = [
diff --git a/pkgs/misc/messenger-gtk/default.nix b/pkgs/misc/messenger-gtk/default.nix
index b44e5ccc285fa6d971536085e2dc1386517babc7..870100d09c0047b348259fbf3e149777ac364b50 100644
--- a/pkgs/misc/messenger-gtk/default.nix
+++ b/pkgs/misc/messenger-gtk/default.nix
@@ -25,11 +25,11 @@ }:
 
 stdenv.mkDerivation (finalAttrs: {
   pname = "messenger-gtk";
-  version = "0.10.0";
+  version = "0.10.2";
 
   src = fetchurl {
     url = "mirror://gnu/gnunet/messenger-gtk-${finalAttrs.version}.tar.gz";
-    hash = "sha256-tyr909VUoB7gjKJglA94K3+nd0joCwL5Mqs/2MjE2pE=";
+    hash = "sha256-pWIOynWrC9cCpfqvgmD6rR6wFvoo2Gu94eEnEedn/P8=";
   };
 
   nativeBuildInputs = [
@@ -43,6 +43,8 @@
   buildInputs = [
     gnunet
     gst_all_1.gstreamer
+    gst_all_1.gst-plugins-base
+    gst_all_1.gst-plugins-good
     gtk3
     libgcrypt
     libgnunetchat