diff --git a/nix/sources.json b/nix/sources.json
index 23b30fa7b14b52d6d9253cd696c7d3320669eb7d..73892e71d7a9e93613bad4f9cc26b17e1070f7a9 100644
--- a/nix/sources.json
+++ b/nix/sources.json
@@ -170,15 +170,15 @@     },
     "embox": {
         "branch": "master",
         "builtin": false,
-        "date": "2020-12-10T19:23:06Z",
+        "date": "2020-12-16T11:12:59Z",
         "description": "Modular and configurable OS for embedded applications",
         "homepage": "http://embox.github.io",
         "owner": "embox",
         "repo": "embox",
-        "rev": "a35cf2071a5b18103deb533ec92d255413a4db2c",
-        "sha256": "0b22zygblcdkdzd7qk843r7xgfwjzvvpfncinhq37xa63dahv01m",
+        "rev": "710dab2646437b7b4d993b267a401ae705db44a5",
+        "sha256": "0gjsx43rg0gm39ssv188v5arc7zcnzb151g7dlxgcnj7wvkwzyz2",
         "type": "tarball",
-        "url": "https://github.com/embox/embox/archive/a35cf2071a5b18103deb533ec92d255413a4db2c.tar.gz",
+        "url": "https://github.com/embox/embox/archive/710dab2646437b7b4d993b267a401ae705db44a5.tar.gz",
         "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
     },
     "foma": {
@@ -377,15 +377,15 @@     "gpxsee": {
         "branch": "master",
         "builtin": false,
         "changelog": "https://build.opensuse.org/package/view_file/home:tumic:GPXSee/gpxsee/gpxsee.changes",
-        "date": "2020-12-15T20:51:38Z",
+        "date": "2020-12-15T23:25:31Z",
         "description": "GPS log file viewer and analyzer",
         "homepage": "https://www.gpxsee.org",
         "owner": "tumic0",
         "repo": "GPXSee",
-        "rev": "84d5673e17b93875082dea1e98d84793c72d8e3b",
-        "sha256": "1xg2ziwiz5s87ywyasyr7m3j01fz221n1w9gdgvyf0x50frsswsw",
+        "rev": "b5972c832883c35b333d6cb0eefc642e070ef064",
+        "sha256": "107bvjl7n343iqqxdpb06m0rw2wm8h9vm6xp7q9z0lagay6g89cv",
         "type": "tarball",
-        "url": "https://github.com/tumic0/GPXSee/archive/84d5673e17b93875082dea1e98d84793c72d8e3b.tar.gz",
+        "url": "https://github.com/tumic0/GPXSee/archive/b5972c832883c35b333d6cb0eefc642e070ef064.tar.gz",
         "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
     },
     "gpxsee-maps": {
@@ -531,15 +531,15 @@     },
     "klogg": {
         "branch": "master",
         "builtin": false,
-        "date": "2020-11-16T13:38:48Z",
+        "date": "2020-12-16T23:49:21Z",
         "description": "A fast, advanced log explorer based on glogg project",
         "homepage": "https://klogg.filimonov.dev/",
         "owner": "variar",
         "repo": "klogg",
-        "rev": "adb1eafb92bdbf27da53c1579239988b26e6882a",
-        "sha256": "0b74wmf11rdwfq81wsn5j10bqpdb38j6kcihcibgw5wqgndfwlp6",
+        "rev": "e501a1e6d6e33437ae4c1643de65be6c9f8edc46",
+        "sha256": "1wmvnq8vsbj5dnrhypqc1as6yi6c40qidgvf3ikil8hgxncda5dn",
         "type": "tarball",
-        "url": "https://github.com/variar/klogg/archive/adb1eafb92bdbf27da53c1579239988b26e6882a.tar.gz",
+        "url": "https://github.com/variar/klogg/archive/e501a1e6d6e33437ae4c1643de65be6c9f8edc46.tar.gz",
         "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
     },
     "lazyscraper": {
@@ -629,15 +629,15 @@     },
     "mapper": {
         "branch": "master",
         "builtin": false,
-        "date": "2020-12-12T14:27:40Z",
+        "date": "2020-12-16T18:06:24Z",
         "description": "OpenOrienteering Mapper is a software for creating maps for the orienteering sport",
         "homepage": "https://www.openorienteering.org/apps/mapper/",
         "owner": "OpenOrienteering",
         "repo": "mapper",
-        "rev": "626878cce58dfda72a0d23f7650457ff354a0a71",
-        "sha256": "1b00zgnynigzvag08f6052jb3yvh929ginpqj0x3bynmmd9jzndh",
+        "rev": "69d612c6dea1252d347769d07343672ed519c514",
+        "sha256": "06qkv34nvfjlg6mmbw1nfnyaxnigk72234ldx3wm5y8g1crpcair",
         "type": "tarball",
-        "url": "https://github.com/OpenOrienteering/mapper/archive/626878cce58dfda72a0d23f7650457ff354a0a71.tar.gz",
+        "url": "https://github.com/OpenOrienteering/mapper/archive/69d612c6dea1252d347769d07343672ed519c514.tar.gz",
         "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
     },
     "maprec": {
@@ -673,11 +673,11 @@         "builtin": false,
         "description": "Ежедневная сборка карт из данных OpenStreetMap для навигационных приборов и приложений Garmin",
         "homepage": "https://maptourist.org",
         "region": "szfo",
-        "sha256": "148q037rnl7paxyxjpd1pic9jjk5l3y8ixzl7c503bvh90ldqn6d",
+        "sha256": "0c03cyfayl0z0a6hyq0azyp8dgvimx6gjph8ys665887idgpa6jn",
         "type": "file",
-        "url": "https://maptourist.org/osm-garmin/archive/OSM-MapTourist-szfo-RU_2020-12-15.zip",
+        "url": "https://maptourist.org/osm-garmin/archive/OSM-MapTourist-szfo-RU_2020-12-16.zip",
         "url_template": "https://maptourist.org/osm-garmin/archive/OSM-MapTourist-<region>-RU_<version>.zip",
-        "version": "2020-12-15"
+        "version": "2020-12-16"
     },
     "mercantile": {
         "branch": "master",
@@ -762,15 +762,15 @@     },
     "nakarte": {
         "branch": "master",
         "builtin": false,
-        "date": "2020-12-14T16:02:04Z",
+        "date": "2020-12-16T16:42:10Z",
         "description": "Source code of site http://nakarte.me",
         "homepage": "https://nakarte.me",
         "owner": "wladich",
         "repo": "nakarte",
-        "rev": "ce79aca304b2ada02577253f239eaf284b2b3c53",
-        "sha256": "04a8zik7inpj5d81ay7lky58lr05l6m13gx58al32isy77bxwbf3",
+        "rev": "1574a87d9748948a095b128e5e6637d35c570c60",
+        "sha256": "1xz45xfywl69j2w7ly66mhr1j21xcll2wshmi45i8z5997wpx8ly",
         "type": "tarball",
-        "url": "https://github.com/wladich/nakarte/archive/ce79aca304b2ada02577253f239eaf284b2b3c53.tar.gz",
+        "url": "https://github.com/wladich/nakarte/archive/1574a87d9748948a095b128e5e6637d35c570c60.tar.gz",
         "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
     },
     "nnn": {
diff --git a/pkgs/applications/misc/klogg/bin.nix b/pkgs/applications/misc/klogg/bin.nix
index 9f2f8344c8bcc84f78f51be94841327006030a6d..3128df08f786ac57298807f5fb5e97dcc0e4d506 100644
--- a/pkgs/applications/misc/klogg/bin.nix
+++ b/pkgs/applications/misc/klogg/bin.nix
@@ -1,33 +1,63 @@
-{ stdenv, fetchfromgh, undmg, sources }:
+{ stdenv, fetchfromgh, appimageTools, undmg, sources }:
+let
+  inherit (stdenv.hostPlatform) system;
+  throwSystem = throw "Unsupported system: ${system}";
 
-stdenv.mkDerivation rec {
   pname = "klogg-bin";
-  version = "20.4";
+  version = "20.12";
+  name = "${pname}-${version}";
+
+  suffix = {
+    x86_64-linux = "x86_64.AppImage";
+    x86_64-darwin = "OSX.dmg";
+  }.${system} or throwSystem;
 
   src = fetchfromgh {
     owner = "variar";
     repo = "klogg";
     version = "v${version}";
-    name = "klogg-${version}.0-r589-OSX.dmg";
-    sha256 = "1z4jl43iny218wid5s8i11l16db6hfnynkh7hrdna81abd9gfq9n";
+    name = "klogg-${version}.0.808-${suffix}";
+    sha256 = {
+      x86_64-linux = "00xsqhw7dbvnwksl8ll612vn2h604z95syfa75sfc8ha8dsnvcdh";
+      x86_64-darwin = "0ig39sqiamrlaf0chn81bbi6z0gy7q0nr8qgaxzzy9ny7j8svip6";
+    }.${system} or throwSystem;
   };
 
-  preferLocalBuild = true;
-
-  nativeBuildInputs = [ undmg ];
-
-  sourceRoot = "klogg.app";
-
-  installPhase = ''
-    mkdir -p $out/Applications/klogg.app
-    cp -r . $out/Applications/klogg.app
-  '';
+  appimageContents = appimageTools.extract {
+    inherit name src;
+  };
 
   meta = with stdenv.lib; {
     inherit (sources.klogg) description homepage;
     license = licenses.gpl3Plus;
-    platforms = [ "x86_64-darwin" ];
+    platforms = [ "x86_64-linux" "x86_64-darwin" ];
     maintainers = [ maintainers.sikmir ];
     skip.ci = true;
   };
-}
+
+  linux = appimageTools.wrapType2 rec {
+    inherit name src meta;
+
+    extraInstallCommands = ''
+      mv $out/bin/{${name},klogg}
+      install -Dm644 ${appimageContents}/klogg.desktop -t $out/share/applications
+      install -Dm644 ${appimageContents}/klogg.svg -t $out/share/icons/hicolor/scalable/apps
+    '';
+  };
+
+  darwin = stdenv.mkDerivation {
+    inherit pname version src meta;
+
+    nativeBuildInputs = [ undmg ];
+
+    sourceRoot = "klogg.app";
+
+    installPhase = ''
+      mkdir -p $out/Applications/klogg.app
+      cp -r . $out/Applications/klogg.app
+    '';
+  };
+in
+if stdenv.isDarwin
+then darwin
+else linux
diff --git a/pkgs/applications/networking/librewolf/default.nix b/pkgs/applications/networking/librewolf/default.nix
index 758f055a01dfefca6cdaedaba1d0f9bcf161df94..82a4c71a2882162319cc4bd4539d29d869fc7387 100644
--- a/pkgs/applications/networking/librewolf/default.nix
+++ b/pkgs/applications/networking/librewolf/default.nix
@@ -4,28 +4,28 @@   inherit (stdenv.hostPlatform) system;
   throwSystem = throw "Unsupported system: ${system}";
 
   pname = "librewolf";
-  version = "82.0.3";
+  version = "83.0";
   name = "${pname}-${version}";
 
   firefox = fetchurl {
     url = "https://download-installer.cdn.mozilla.net/pub/firefox/releases/${version}/mac/${lang}/Firefox%20${version}.dmg";
     sha256 = {
-      en-US = "10srb6pjy729zl71gsammp294kg531m3fgghd8lrw05pbm9lxxy1";
-      eo = "0fqvqkv6sa7gz42c9gddv3axy61acdjzwrmdn8xbpzidr18lg66x";
-      fi = "06500lkijcsfhvqji64705mii621hva676zvhln9hyq51dys4hyl";
-      ru = "1ibv4kdjqhl0a056dgnr470dl7n4wfpq9m06caapyx59vfq182zh";
+      en-US = "1ikfcdsz0pgaiwal47fnbybam513p5a1fn99g74wcf80wj27hlky";
+      eo = "0vj93igq98rdib5fv6l362mn8mqknq2nsacaki4wxg4r7z0yji0r";
+      fi = "0gi96mylj3wh3kyhw8mhdlzai64cr8g9g36jxi6ydca9aj134vwm";
+      ru = "0qjhdxwiwn9hqz5fsw2x6yw2qbh0054fkbsk915gwqamlfi1x31j";
     }.${lang};
     name = "Firefox.dmg";
   };
 
   librewolf = fetchurl {
     url = {
-      x86_64-linux = "https://gitlab.com/librewolf-community/browser/linux/uploads/40d177f7132a991fd7249219f3f442d0/LibreWolf-${version}-1.x86_64.AppImage";
-      aarch64-linux = "https://gitlab.com/librewolf-community/browser/linux/uploads/c3fdaa5529f412d8f867e5b1393e26ba/LibreWolf-${version}-1.aarch64.AppImage";
+      x86_64-linux = "https://gitlab.com/librewolf-community/browser/linux/uploads/91420360aa0b7a059bd855e20d1b8a8a/LibreWolf-${version}-1.x86_64.AppImage";
+      aarch64-linux = "https://gitlab.com/librewolf-community/browser/linux/uploads/c24cfeea0298499fa755536fadb27ab5/LibreWolf-${version}-1.aarch64.AppImage";
     }.${system} or throwSystem;
     sha256 = {
-      x86_64-linux = "1nwc90bs0v5wkkviaw056nm8zyiryi2f41zvwhp5b2c50a8zvsk4";
-      aarch64-linux = "0jrdwplw4r0mqr6ddr9lzgxlfk8m7krl9fimzv184wjhjkgbxxnk";
+      x86_64-linux = "1alrplhj4yx4svl8rnkyw844aybicx1zyp5aap32rvmmg0blga1n";
+      aarch64-linux = "0s7x4xm7iv9d2k018m0azk2s2gk5w2n7xg6bqba4qg2pdnx39hyp";
     }.${system} or throwSystem;
   };
 
@@ -80,7 +80,7 @@
     installPhase = ''
       ${undmg}/bin/undmg LibreWolf.dmg
       mkdir -p $out/Applications
-      cp -R LibreWolf.app $out/Applications
+      cp -r LibreWolf.app $out/Applications
     '';
   };
 in
diff --git a/pkgs/data/misc/poi/default.nix b/pkgs/data/misc/poi/default.nix
index e5cfed5735ac35142f6cdcf1b5b7621bf470b191..9239cf7e3a6e3e742be7a013892640baff176093 100644
--- a/pkgs/data/misc/poi/default.nix
+++ b/pkgs/data/misc/poi/default.nix
@@ -2,9 +2,9 @@ { lib, fetchurl, fetchymaps, gzip, jq, gdal }:
 
 {
   geocachingSu = fetchurl {
-    name = "geocaching_su-2020-12-09";
+    name = "geocaching_su-2020-12-16";
     url = "https://nakarte.me/geocachingSu/geocaching_su2.json";
-    sha256 = "1a01xgbffi54d9gm2nvvrhmcssndysjdxr76zdcx3jy03a12cbrr";
+    sha256 = "1ahq3q3c1s9r7xd2mlnws98v3p1my7lilsq0hdccinqhmzsi798d";
     downloadToTemp = true;
     recursiveHash = true;
     postFetch = ''
@@ -61,9 +61,9 @@     };
   };
 
   westra = fetchurl {
-    name = "westra-2020-12-09";
+    name = "westra-2020-12-16";
     url = "https://nakarte.me/westraPasses/westra_passes.json";
-    sha256 = "1hggcsdlkzbxydm1rrmda510wdp4a2jmb8711bka712ym9pk34vx";
+    sha256 = "1k8snxg95jfcmjqzx81s0r751pmx5pakq5kd2lq01zrvss725mpz";
     downloadToTemp = true;
     recursiveHash = true;
     postFetch = ''